import { html, slotted } from "@ni/fast-element";
/**
 * The template for the {@link @ni/fast-foundation#Menu} component.
 * @public
 */
export const menuTemplate = (context, definition) => html `
    <template
        slot="${x => (x.slot ? x.slot : x.isNestedMenu() ? "submenu" : void 0)}"
        role="menu"
        @keydown="${(x, c) => x.handleMenuKeyDown(c.event)}"
        @focusout="${(x, c) => x.handleFocusOut(c.event)}"
    >
        <slot ${slotted("items")}></slot>
    </template>
`;
